## mutagen 1.22

=== docs/man/Makefile ===
# create man pages in ./_man

all: mid3iconv.1 mid3v2.1 moggsplit.1 mutagen-inspect.1 mutagen-pony.1

setup:
	mkdir -p _man

%.1:%.rst setup
	rst2man $< > _man/$@

.PHONY: setup

## mutagen 1.19

=== debian/changelog ===
mutagen (1.19-2) unstable; urgency=low

  * Switch from cdbs / pycentral to dh / pysupport.

 -- Tristan Seligmann <mithrandi@mithrandi.net>  Sun, 30 May 2010 09:20:53 +0200

mutagen (1.19-1) UNRELEASED; urgency=low

  [ Jakub Wilk ]
  * Fix watch file.

  [ Tristan Seligmann ]
  * New upstream release.
  * Switch to 3.0 (quilt) format.

 -- Tristan Seligmann <mithrandi@mithrandi.net>  Thu, 20 May 2010 20:18:03 +0200

mutagen (1.15-2) unstable; urgency=low

  * Upload to unstable.

 -- Tristan Seligmann <mithrandi@mithrandi.net>  Mon, 16 Feb 2009 19:55:06 +0200

mutagen (1.15-1) experimental; urgency=low

  * New upstream release (closes: #510149).
  * Add ${misc:Depends} to debian/control.
  * Update VCS / Homepage URLs in debian/control.
  * Bump Standards-Version to 3.8.0.
  * Update watch file.
  * Switch to quilt.

 -- Tristan Seligmann <mithrandi@mithrandi.net>  Thu, 29 Jan 2009 22:49:25 +0200

mutagen (1.14-1) unstable; urgency=low

  * New upstream release.
  * Update my e-mail address.

 -- Tristan Seligmann <mithrandi@mithrandi.net>  Mon, 02 Jun 2008 23:55:07 +0200

mutagen (1.13-1) unstable; urgency=low

  * New upstream release.
    - FLAC: Raise IOError, instead of UnboundLocalError, when trying to open a
      non-existant file (closes: #448734).
    - TCP/TCMP support (closes: #452231).
    - 2x-100x speedup writing files on filesystems that don't support mmap().
  * Add Vcs-Darcs field.
  * Move Homepage into source package field.
  * Bump to debhelper v6.
  * Bump Standards-Version.

 -- Tristan Seligmann <mithrandi@mithrandi.za.net>  Sat, 26 Jan 2008 20:56:45 +0200

mutagen (1.11-1) unstable; urgency=medium

  * New upstream release.
    - Medium urgency: fixes a major bug reading TDAT frames; month and day
      were reversed.
  * Remove lintian override as this should be fixed upstream shortly.

 -- Tristan Seligmann <mithrandi@mithrandi.za.net>  Fri, 27 Apr 2007 18:52:30 +0200

mutagen (1.10.1-1) unstable; urgency=low

  * New upstream version.
    - Fix id3 syncsafe / flag handling that could cause data corruption in
      some instances (closes: #403542).
    - Allow skipping over ID3 tags incorrectly present in FLAC files, instead
      of choking on them (closes: #411431)
    - Fix reading of GStreamer-corrupted Ogg files (closes: #411432).
    - Correct invalid APEv2 tag key and flags handling (closes: #411433).
    - Supercedes previous NMUs, thanks guys! (closes: #412874).
  * Add note to README.Debian about mutagen.m4a deprecation.
  * Add lintian override to suppress bogus warning about python-central being
    needed to run the clean target (it's not).

 -- Tristan Seligmann <mithrandi@mithrandi.za.net>  Sun, 22 Apr 2007 23:57:03 +0200

mutagen (1.8-1) unstable; urgency=low

  * New upstream version.

 -- Tristan Seligmann <mithrandi@mithrandi.za.net>  Mon,  9 Oct 2006 00:04:58 +0200

mutagen (1.7.1-1) unstable; urgency=low

  * New upstream version.
  * Bump version on python-central build-dep.

 -- Tristan Seligmann <mithrandi@mithrandi.za.net>  Sun,  1 Oct 2006 03:14:57 +0200

mutagen (1.6-1) unstable; urgency=low

  * New upstream version.
  * Install upstream changelog as changelog.gz (closes: #376575).
    - Thanks to Bastian Kleineidam <calvin@debian.org> for the patch.
  * Tweak watch file.
  * Add Provides: pythonX.Y-mutagen.

 -- Tristan Seligmann <mithrandi@mithrandi.za.net>  Sat, 12 Aug 2006 16:13:06 +0200

mutagen (1.5.1-1) unstable; urgency=low

  * New upstream version.
  * Add lintian overrides.

 -- Tristan Seligmann <mithrandi@mithrandi.za.net>  Tue, 27 Jun 2006 03:51:48 +0200

mutagen (1.5-1) unstable; urgency=low

  * New upstream version.
  * Adopt package (closes: #374502).
  * Convert to cdbs and python-central.
  * Add watch file.

 -- Tristan Seligmann <mithrandi@mithrandi.za.net>  Wed, 21 Jun 2006 21:25:57 +0200

mutagen (1.4-2) unstable; urgency=low

  * Update to new Python policy (XS-Python-Version >= 2.3).

 -- Joe Wreschnig <piman@debian.org>  Tue, 13 Jun 2006 14:10:31 -0500

mutagen (1.4-1) unstable; urgency=low

  * New upstream version.
  * debian/control: Remove pyvorbis Suggests/mention.
  * debian/rules: Add no-op rules to shush lintian.

 -- Joe Wreschnig <piman@debian.org>  Sat,  3 Jun 2006 20:15:00 -0500

mutagen (1.3-1) unstable; urgency=low

  * New upstream version.
  * debian/rules: Let setup.py handle tools and man pages.

 -- Joe Wreschnig <piman@debian.org>  Mon, 29 May 2006 22:06:48 -0500

mutagen (1.2-2) unstable; urgency=low

  * Use python-support.
  * Standards-Version 3.7.2 (no updates required).

 -- Joe Wreschnig <piman@debian.org>  Sat, 13 May 2006 02:12:22 -0500

mutagen (1.2-1) unstable; urgency=low

  * New upstream version.
  * debian/control: Suggest python-pyvorbis.
  * debian/docs: Add TUTORIAL.

 -- Joe Wreschnig <piman@debian.org>  Sun, 23 Apr 2006 01:09:14 -0500

mutagen (1.1-1) unstable; urgency=low

  * New upstream version.

 -- Joe Wreschnig <piman@debian.org>  Tue,  4 Apr 2006 01:06:20 -0500

mutagen (1.0-1) unstable; urgency=low

  * New upstream version.

 -- Joe Wreschnig <piman@debian.org>  Mon, 13 Mar 2006 16:20:14 -0600

mutagen (0.9-1) unstable; urgency=low

  * Initial release. (Closes: #353505)

 -- Joe Wreschnig <piman@debian.org>  Tue, 21 Feb 2006 03:06:14 -0600

=== debian/control ===
Source: mutagen
Section: python
Priority: optional
Maintainer: Tristan Seligmann <mithrandi@mithrandi.net>
Build-Depends-Indep: python-support
Build-Depends: debhelper (>= 7.0.50~), python (>= 2.3.5-7)
Standards-Version: 3.8.4
XS-Python-Version: >= 2.3
Vcs-Svn: svn://svn.debian.org/python-modules/packages/mutagen
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/mutagen/trunk/
Homepage: http://code.google.com/p/quodlibet/wiki/Mutagen

Package: python-mutagen
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Provides: ${python:Provides}
XB-Python-Version: ${python:Versions}
Description: audio metadata editing library
 Mutagen is a Python module to handle audio metadata. It supports FLAC,
 M4A, MP3, Ogg FLAC, Ogg Speex, Ogg Theora, Ogg Vorbis, True Audio, and
 WavPack audio files. All versions of ID3v2 are supported, and all
 standard ID3v2.4 frames are parsed. It can read Xing headers to
 accurately calculate the bitrate and length of MP3s. ID3 and APEv2
 tags can be edited regardless of audio format. It can also manipulate
 Ogg streams on an individual packet/page level.

## mutagen 1.20

=== debian/changelog ===
mutagen (1.20-1) unstable; urgency=low

  * New upstream release (closes: #636710).
  * Acknowledge NMUs (thanks to Jakub Wilk and Alessio Treglia).
  * Bump Standards-Version (no changes needed).
  * Run the test suite during build; thanks to Andrey Rahmatullin for the
    patch. (closes: #616106)
  * Add DPMT to Uploaders.
  * Remove preinst script, since we no longer need to support upgrades from
    lenny.

 -- Tristan Seligmann <mithrandi@mithrandi.net>  Sun, 11 Sep 2011 20:04:44 +0200

mutagen (1.19-2.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix wrong file length calculation (Closes: #637061):
    - debian/patches/mpeg-length.diff: Fix CBR length calculation, it used
      the rounded frame_length including the current frame's padding.
    - debian/patches/mpeg-length-remove.diff: Remove the code which should
      have prevented the use of impossible lengths by performing the
      'bitrate/file size' check. This was never used because the args are
      switched, plus the calculation is wrong as the result is 1/64 of the
      real length.

 -- Alessio Treglia <alessio@debian.org>  Mon, 08 Aug 2011 10:15:32 +0200

mutagen (1.19-2.1) unstable; urgency=low

  * Non-maintainer upload (with maintainer's permission).
  * Rebuild against python-defaults (>= 2.6.6-14)

 -- Jakub Wilk <jwilk@debian.org>  Mon, 02 May 2011 21:48:11 +0200

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,11 @@
 Section: python
 Priority: optional
 Maintainer: Tristan Seligmann <mithrandi@mithrandi.net>
-Build-Depends-Indep: python-support
-Build-Depends: debhelper (>= 7.0.50~), python (>= 2.3.5-7)
-Standards-Version: 3.8.4
-XS-Python-Version: >= 2.3
+Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Build-Depends: debhelper (>= 7.0.50~), python-all (>= 2.6.6-3~), faad, flac,
+    oggz-tools, vorbis-tools, python-pyvorbis
+Standards-Version: 3.9.2
+X-Python-Version: >= 2.3
 Vcs-Svn: svn://svn.debian.org/python-modules/packages/mutagen
 Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/mutagen/trunk/
 Homepage: http://code.google.com/p/quodlibet/wiki/Mutagen

=== debian/rules ===
#!/usr/bin/make -f

PYTHON2=$(shell pyversions -vr)

%:
	dh --with python2 $@

override_dh_installchangelogs:
	dh_installchangelogs NEWS

test-python%:
	-
ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	python$* setup.py test
endif

override_dh_auto_test: $(PYTHON2:%=test-python%)

## mutagen 1.21

=== debian/changelog ===
mutagen (1.21-1ubuntu1) saucy; urgency=low

  * Merge with Debian unstable. Remaining Ubuntu changes:
    - debian/control: Drop unnecessary faad and oggz-tools build dependencies,
      they are in universe.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 23 Jul 2013 07:40:57 +0200

mutagen (1.21-1) unstable; urgency=low

  * Team upload.

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

  [ Simon Chopin ]
  * New upstream version (Closes: #709810)
    + Drop the patches integrated upstream:
      -remove-hashbang.diff
      -mpeg-length.diff
      -mpeg-length-remove.diff
    + Add a patch to fix an undefined name
  * Bump Standard-Version to 3.9.4:
    + Bump debhelper dependency to >= 9 to benefit from -arch/-indep targets
    + Reorder dh arguments in d/rules
  * Add Christoph Reiter to the copyright file.

 -- Simon Chopin <chopin.simon@gmail.com>  Tue, 16 Jul 2013 23:24:27 +0200

=== debian/control ===
Source: mutagen
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Tristan Seligmann <mithrandi@mithrandi.net>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 9), python-all (>= 2.6.6-3~), flac,
    vorbis-tools, python-pyvorbis
Standards-Version: 3.9.4
X-Python-Version: >= 2.3
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/mutagen/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/mutagen/trunk/
Homepage: http://code.google.com/p/quodlibet/wiki/Mutagen

Package: python-mutagen
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Description: audio metadata editing library
 Mutagen is a Python module to handle audio metadata. It supports FLAC,
 M4A, MP3, Ogg FLAC, Ogg Speex, Ogg Theora, Ogg Vorbis, True Audio, and
 WavPack audio files. All versions of ID3v2 are supported, and all
 standard ID3v2.4 frames are parsed. It can read Xing headers to
 accurately calculate the bitrate and length of MP3s. ID3 and APEv2
 tags can be edited regardless of audio format. It can also manipulate
 Ogg streams on an individual packet/page level.

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 PYTHON2=$(shell pyversions -vr)
 
 %:
-	dh --with python2 $@
+	dh $@ --with python2
 
 override_dh_installchangelogs:
 	dh_installchangelogs NEWS

## mutagen 1.22

=== debian/changelog ===
mutagen (1.22-1ubuntu2) trusty; urgency=medium

  * Rebuild to drop files installed into /usr/share/pyshared.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 23 Feb 2014 13:49:01 +0000

mutagen (1.22-1ubuntu1) trusty; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/control: Drop faad and oggz-tools build dependencies (in
      universe).

 -- Daniel T Chen <crimsun@ubuntu.com>  Wed, 27 Nov 2013 22:10:48 +0000

mutagen (1.22-1) unstable; urgency=low

  [ Tristan Seligmann ]
  * Update my email address.
  * Update Homepage. (Closes: #673615)

  [ Simon Chopin ]
  * New upstream release.
    + Document copyright on docs/id3_frames_gen.py to Christoph Reiter.
    + Bump X-Python-Version to 2.6.
    + Drop all patches as being applied upstream.
    + Add a dependency on libc-bin and use the C.UTF-8 locale to run the
      tests.
  * Add myself to Uploaders.
  * Regenerate the man pages during the build.
  * Add a new package python-mutagen-doc with the Sphinx documentation.

 -- Tristan Seligmann <mithrandi@debian.org>  Mon, 25 Nov 2013 01:06:19 +0200

=== debian/control ===
Source: mutagen
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Tristan Seligmann <mithrandi@debian.org>
Uploaders:
 Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>,
 Simon Chopin <chopin.simon@gmail.com>
Build-Depends:
 debhelper (>= 9),
 flac,
 libc-bin (>= 2.13),
 python-all (>= 2.6.6-3~),
 python-docutils,
 python-pyvorbis,
 python-sphinx (>= 1.0.7+dfsg),
 vorbis-tools
Standards-Version: 3.9.4
X-Python-Version: >= 2.6
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/mutagen/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/mutagen/trunk/
Homepage: http://code.google.com/p/mutagen/

Package: python-mutagen
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Suggests: python-mutagen-doc
Description: audio metadata editing library
 Mutagen is a Python module to handle audio metadata. It supports FLAC,
 M4A, MP3, Ogg FLAC, Ogg Speex, Ogg Theora, Ogg Vorbis, True Audio, and
 WavPack audio files. All versions of ID3v2 are supported, and all
 standard ID3v2.4 frames are parsed. It can read Xing headers to
 accurately calculate the bitrate and length of MP3s. ID3 and APEv2
 tags can be edited regardless of audio format. It can also manipulate
 Ogg streams on an individual packet/page level.

Package: python-mutagen-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Recommends: python-mutagen
Description: audio metadata editing library - documentation
 Mutagen is a Python module to handle audio metadata. It supports FLAC,
 M4A, MP3, Ogg FLAC, Ogg Speex, Ogg Theora, Ogg Vorbis, True Audio, and
 WavPack audio files. All versions of ID3v2 are supported, and all
 standard ID3v2.4 frames are parsed. It can read Xing headers to
 accurately calculate the bitrate and length of MP3s. ID3 and APEv2
 tags can be edited regardless of audio format. It can also manipulate
 Ogg streams on an individual packet/page level.
 .
 This package provides documentation for the mutagen package.

=== debian/rules ===
#!/usr/bin/make -f

PYTHON2=$(shell pyversions -vr)

%:
	dh $@ --with python2,sphinxdoc

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=$(CURDIR) docs/id3_frames_gen.py > docs/api/id3_frames.rst
	$(MAKE) -C docs
	mv docs/_build docs/html
	$(MAKE) -C docs/man

override_dh_installchangelogs:
	dh_installchangelogs NEWS

test-python%:
	-
ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	LC_ALL=C.UTF-8 python$* setup.py test
endif

override_dh_auto_test: $(PYTHON2:%=test-python%)

override_dh_clean:
	dh_clean
	rm -rf docs/html docs/man/_man

=== debian/watch ===
version=3
opts=\
downloadurlmangle=s|.*[?]name=(.*?)&.*|http://mutagen.googlecode.com/files/$1|,\
filenamemangle=s|[^/]+[?]name=(.*?)&.*|$1| \
http://code.google.com/p/mutagen/downloads/detail[?]name=mutagen-([0-9.]+).tar.gz&.*

## mutagen 1.23

=== debian/changelog ===
mutagen (1.23-2ubuntu1) utopic; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - debian/control: Drop faad and oggz-tools build dependencies (in
      universe).
  * Don't build the pypy package (universe).

 -- Matthias Klose <doko@ubuntu.com>  Tue, 05 Aug 2014 15:25:59 +0200

mutagen (1.23-2) unstable; urgency=medium

  * Explicitly set LC_ALL=C.UTF-8 to avoid test suite failures if LC_ALL is
    set to something else in the environment during a build (closes: #753141).

 -- Tristan Seligmann <mithrandi@debian.org>  Sun, 27 Jul 2014 07:36:35 +0200

mutagen (1.23-1) unstable; urgency=medium

  * New upstream release. (Closes: #751155)
  * Switch to pybuild.
  * Bump Standards-Version.
  * Build pypy-mutagen package for pypy.

 -- Tristan Seligmann <mithrandi@debian.org>  Sat, 14 Jun 2014 14:01:23 +0200

=== debian/control ===
--- 
+++ 
@@ -12,14 +12,15 @@
  libc-bin (>= 2.13),
  python-all (>= 2.6.6-3~),
  python-docutils,
- python-pyvorbis,
  python-sphinx (>= 1.0.7+dfsg),
- vorbis-tools
-Standards-Version: 3.9.4
+ vorbis-tools,
+ dh-python
+Standards-Version: 3.9.5
 X-Python-Version: >= 2.6
 Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/mutagen/trunk/
 Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/mutagen/trunk/
 Homepage: http://code.google.com/p/mutagen/
+
 
 Package: python-mutagen
 Architecture: all
@@ -33,6 +34,23 @@
  accurately calculate the bitrate and length of MP3s. ID3 and APEv2
  tags can be edited regardless of audio format. It can also manipulate
  Ogg streams on an individual packet/page level.
+
+
+#Package: pypy-mutagen
+#Architecture: all
+#Depends: ${misc:Depends}, ${python:Depends}
+#Suggests: python-mutagen-doc
+#Description: audio metadata editing library (PyPy)
+# Mutagen is a Python module to handle audio metadata. It supports FLAC,
+# M4A, MP3, Ogg FLAC, Ogg Speex, Ogg Theora, Ogg Vorbis, True Audio, and
+# WavPack audio files. All versions of ID3v2 are supported, and all
+# standard ID3v2.4 frames are parsed. It can read Xing headers to
+# accurately calculate the bitrate and length of MP3s. ID3 and APEv2
+# tags can be edited regardless of audio format. It can also manipulate
+# Ogg streams on an individual packet/page level.
+# .
+# This package is built for PyPy.
+
 
 Package: python-mutagen-doc
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=mutagen

# This is generally a good idea to avoid littering the filesystem with unneeded
# pyc files, but it is also specifically needed to avoid byte-compilation of
# the binaries in tools/ when the test suite is run.
export PYTHONDONTWRITEBYTECODE=yes

# Set UTF-8 locale as the tests expect this
export LC_ALL=C.UTF-8


%:
	dh $@ --with python2,sphinxdoc --buildsystem=pybuild


override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=$(CURDIR) docs/id3_frames_gen.py > docs/api/id3_frames.rst
	$(MAKE) -C docs
	mv docs/_build docs/html
	$(MAKE) -C docs/man


override_dh_auto_install:
	dh_auto_install
	# Don't ship binaries in the pypy package
	rm -rf debian/pypy-mutagen/usr/bin \
	    debian/pypy-mutagen/usr/lib/pypy/share


override_dh_installchangelogs:
	dh_installchangelogs NEWS


override_dh_clean:
	dh_clean
	rm -rf docs/html docs/man/_man


override_dh_auto_test:
	PYBUILD_SYSTEM=custom \
	PYBUILD_TEST_ARGS="{interpreter} setup.py test" dh_auto_test

=== debian/watch ===
version=3
# Latest upstream version is unsigned, sadly
http://bitbucket.org/lazka/mutagen/downloads/mutagen-([0-9.]+).tar.gz

## mutagen 1.25.1

=== debian/changelog ===
mutagen (1.25.1-1) unstable; urgency=low

  * New upstream release.
  * Make debian/copyright DEP-5 compliant.
  * Update debian/copyright.
  * Enable signature verification in debian/watch.

 -- Tristan Seligmann <mithrandi@debian.org>  Sun, 19 Oct 2014 15:23:22 +0200

mutagen (1.25-1) unstable; urgency=medium

  * New upstream release.
  * Build python3-mutagen package.
  * Bump Standards-Version.

 -- Tristan Seligmann <mithrandi@debian.org>  Sat, 04 Oct 2014 00:40:46 +0200

mutagen (1.24-1) unstable; urgency=medium

  * New upstream release.

 -- Tristan Seligmann <mithrandi@debian.org>  Sun, 28 Sep 2014 00:49:44 +0200

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,24 @@
 Source: mutagen
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Tristan Seligmann <mithrandi@debian.org>
+Maintainer: Tristan Seligmann <mithrandi@debian.org>
 Uploaders:
  Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>,
  Simon Chopin <chopin.simon@gmail.com>
 Build-Depends:
  debhelper (>= 9),
+ faad,
  flac,
  libc-bin (>= 2.13),
+ oggz-tools,
  python-all (>= 2.6.6-3~),
+ python3-all,
+ pypy,
  python-docutils,
  python-sphinx (>= 1.0.7+dfsg),
  vorbis-tools,
  dh-python
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 X-Python-Version: >= 2.6
 Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/mutagen/trunk/
 Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/mutagen/trunk/
@@ -36,20 +39,36 @@
  Ogg streams on an individual packet/page level.
 
 
-#Package: pypy-mutagen
-#Architecture: all
-#Depends: ${misc:Depends}, ${python:Depends}
-#Suggests: python-mutagen-doc
-#Description: audio metadata editing library (PyPy)
-# Mutagen is a Python module to handle audio metadata. It supports FLAC,
-# M4A, MP3, Ogg FLAC, Ogg Speex, Ogg Theora, Ogg Vorbis, True Audio, and
-# WavPack audio files. All versions of ID3v2 are supported, and all
-# standard ID3v2.4 frames are parsed. It can read Xing headers to
-# accurately calculate the bitrate and length of MP3s. ID3 and APEv2
-# tags can be edited regardless of audio format. It can also manipulate
-# Ogg streams on an individual packet/page level.
-# .
-# This package is built for PyPy.
+Package: pypy-mutagen
+Architecture: all
+Depends: ${misc:Depends}, ${pypy:Depends}
+Suggests: python-mutagen-doc
+Description: audio metadata editing library (PyPy)
+ Mutagen is a Python module to handle audio metadata. It supports FLAC,
+ M4A, MP3, Ogg FLAC, Ogg Speex, Ogg Theora, Ogg Vorbis, True Audio, and
+ WavPack audio files. All versions of ID3v2 are supported, and all
+ standard ID3v2.4 frames are parsed. It can read Xing headers to
+ accurately calculate the bitrate and length of MP3s. ID3 and APEv2
+ tags can be edited regardless of audio format. It can also manipulate
+ Ogg streams on an individual packet/page level.
+ .
+ This package is built for PyPy.
+
+
+Package: python3-mutagen
+Architecture: all
+Depends: ${misc:Depends}, ${python3:Depends}
+Suggests: python-mutagen-doc
+Description: audio metadata editing library (Python 3)
+ Mutagen is a Python module to handle audio metadata. It supports FLAC,
+ M4A, MP3, Ogg FLAC, Ogg Speex, Ogg Theora, Ogg Vorbis, True Audio, and
+ WavPack audio files. All versions of ID3v2 are supported, and all
+ standard ID3v2.4 frames are parsed. It can read Xing headers to
+ accurately calculate the bitrate and length of MP3s. ID3 and APEv2
+ tags can be edited regardless of audio format. It can also manipulate
+ Ogg streams on an individual packet/page level.
+ .
+ This package is built for Python 3.
 
 
 Package: python-mutagen-doc

## mutagen 1.30

=== debian/changelog ===
mutagen (1.30-1ubuntu2) wily; urgency=medium

  * Don't build using python-sphinx-rtd-theme (universe).

 -- Matthias Klose <doko@ubuntu.com>  Tue, 15 Sep 2015 09:46:15 +0200

mutagen (1.30-1ubuntu1) wily; urgency=medium

  * Merge with Debian; remaining changes:
  * Merge from Debian unstable.  Remaining changes:
    - debian/control: Drop faad and oggz-tools build dependencies (in
      universe).

 -- Matthias Klose <doko@ubuntu.com>  Thu, 10 Sep 2015 17:01:40 +0200

mutagen (1.30-1) unstable; urgency=medium

  * New upstream release.

 -- Tristan Seligmann <mithrandi@debian.org>  Sat, 29 Aug 2015 07:40:43 +0200

mutagen (1.29-1) unstable; urgency=medium

  * New upstream release.

 -- Tristan Seligmann <mithrandi@debian.org>  Fri, 31 Jul 2015 08:59:21 +0200

mutagen (1.28-2) unstable; urgency=medium

  * Reupload to unstable with minor changes.
  * Use sphinx inventory from python-doc instead of the web.

 -- Tristan Seligmann <mithrandi@debian.org>  Fri, 01 May 2015 01:38:04 +0200

mutagen (1.28-1) experimental; urgency=low

  * New upstream release.
    - New release signing key.

 -- Tristan Seligmann <mithrandi@debian.org>  Sun, 15 Mar 2015 14:25:12 +0200

mutagen (1.27-1) experimental; urgency=low

  * New upstream release.

 -- Tristan Seligmann <mithrandi@debian.org>  Mon, 08 Dec 2014 01:45:10 +0200

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,20 @@
 Source: mutagen
 Section: python
 Priority: optional
-Maintainer: Tristan Seligmann <mithrandi@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Tristan Seligmann <mithrandi@debian.org>
 Uploaders:
  Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>,
  Simon Chopin <chopin.simon@gmail.com>
 Build-Depends:
  debhelper (>= 9),
- faad,
  flac,
  libc-bin (>= 2.13),
- oggz-tools,
  python-all (>= 2.6.6-3~),
  python3-all,
  pypy,
  python-docutils,
+ python2.7-doc,
  python-sphinx (>= 1.0.7+dfsg),
  vorbis-tools,
  dh-python

## mutagen 1.31

=== docs/Makefile ===
all: _rtd_theme
	sphinx-build -E -Dhtml_theme=_rtd_theme -Dhtml_theme_path=. -b html -n . _build

clean:
	rm -rf _build _rtd_theme

.PHONY: clean

_rtd_theme:
	wget https://github.com/snide/sphinx_rtd_theme/archive/master.tar.gz
	tar --strip-components=1 -zxvf master.tar.gz sphinx_rtd_theme-master/sphinx_rtd_theme
	mv sphinx_rtd_theme _rtd_theme
	rm master.tar.gz

=== debian/changelog ===
mutagen (1.31-1ubuntu1) xenial; urgency=medium

  * Merge with Debian; remaining changes:
    - debian/control: Drop faad and oggz-tools build dependencies (in
      universe).

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Jan 2016 14:40:13 +0100

mutagen (1.31-1) unstable; urgency=medium

  * New upstream release.
    - Refresh patches/use-rtd-package.
  * Fix Homepage url.

 -- Tristan Seligmann <mithrandi@debian.org>  Sat, 19 Sep 2015 02:05:12 +0200

=== debian/control ===
--- 
+++ 
@@ -16,13 +16,14 @@
  python-docutils,
  python2.7-doc,
  python-sphinx (>= 1.0.7+dfsg),
+ python-sphinx-rtd-theme,
  vorbis-tools,
  dh-python
 Standards-Version: 3.9.6
 X-Python-Version: >= 2.6
 Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/mutagen/trunk/
 Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/mutagen/trunk/
-Homepage: http://code.google.com/p/mutagen/
+Homepage: https://bitbucket.org/lazka/mutagen
 
 
 Package: python-mutagen

=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
 
 
 %:
-	dh $@ --with python2,sphinxdoc --buildsystem=pybuild
+	dh $@ --with python2,python3,pypy,sphinxdoc --buildsystem=pybuild
 
 
 override_dh_auto_build:
@@ -25,9 +25,11 @@
 
 override_dh_auto_install:
 	dh_auto_install
-	# Don't ship binaries in the pypy package
+	# Don't ship binaries or manpages in the pypy or python3 packages
 	rm -rf debian/pypy-mutagen/usr/bin \
-	    debian/pypy-mutagen/usr/lib/pypy/share
+	       debian/pypy-mutagen/usr/lib/pypy/share \
+	       debian/python3-mutagen/usr/bin \
+	       debian/python3-mutagen/usr/share
 
 
 override_dh_installchangelogs:

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.sig/ \
 http://bitbucket.org/lazka/mutagen/downloads/mutagen-([0-9.]+).tar.gz

## mutagen 1.32

=== debian/changelog ===
mutagen (1.32-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

  [ Tristan Seligmann ]
  * New upstream release.
  * Bump Standards-Version to 3.9.8 (no changes).

 -- Tristan Seligmann <mithrandi@debian.org>  Sun, 22 May 2016 04:27:36 +0200

## mutagen 1.33.1

=== debian/changelog ===
mutagen (1.33.1-1) unstable; urgency=medium

  * New upstream release.

 -- Tristan Seligmann <mithrandi@debian.org>  Mon, 04 Jul 2016 00:20:27 +0200

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: mutagen
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Tristan Seligmann <mithrandi@debian.org>
+Maintainer: Tristan Seligmann <mithrandi@debian.org>
 Uploaders:
  Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>,
  Simon Chopin <chopin.simon@gmail.com>
 Build-Depends:
  debhelper (>= 9),
+ faad,
  flac,
  libc-bin (>= 2.13),
+ oggz-tools,
  python-all (>= 2.6.6-3~),
  python3-all,
  pypy,
@@ -19,10 +20,10 @@
  python-sphinx-rtd-theme,
  vorbis-tools,
  dh-python
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 X-Python-Version: >= 2.6
-Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/mutagen/trunk/
-Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/mutagen/trunk/
+Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/mutagen.git
+Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/mutagen.git
 Homepage: https://bitbucket.org/lazka/mutagen

## mutagen 1.34

=== debian/changelog ===
mutagen (1.34-1) unstable; urgency=medium

  * Update Homepage: link (closes: #833332).
  * Fix debian/watch.
  * New upstream release.

 -- Tristan Seligmann <mithrandi@debian.org>  Wed, 03 Aug 2016 12:14:49 +0200

mutagen (1.33.2-1) unstable; urgency=medium

  * New upstream release.
  * Fix docs patch for using system inventory, and disable network access.

 -- Tristan Seligmann <mithrandi@debian.org>  Sat, 16 Jul 2016 18:29:00 +0200

=== debian/control ===
--- 
+++ 
@@ -4,28 +4,28 @@
 Maintainer: Tristan Seligmann <mithrandi@debian.org>
 Uploaders:
  Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>,
- Simon Chopin <chopin.simon@gmail.com>
+ Simon Chopin <chopin.simon@gmail.com>,
 Build-Depends:
  debhelper (>= 9),
+ dh-python,
  faad,
  flac,
  libc-bin (>= 2.13),
  oggz-tools,
+ pypy,
  python-all (>= 2.6.6-3~),
- python3-all,
- pypy,
  python-docutils,
- python2.7-doc,
  python-sphinx (>= 1.0.7+dfsg),
  python-sphinx-rtd-theme,
+ python2.7-doc,
+ python3-all,
+ python3.5-doc,
  vorbis-tools,
- dh-python
 Standards-Version: 3.9.8
 X-Python-Version: >= 2.6
 Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/mutagen.git
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/mutagen.git
-Homepage: https://bitbucket.org/lazka/mutagen
-
+Homepage: https://github.com/quodlibet/mutagen
 
 Package: python-mutagen
 Architecture: all
@@ -39,7 +39,6 @@
  accurately calculate the bitrate and length of MP3s. ID3 and APEv2
  tags can be edited regardless of audio format. It can also manipulate
  Ogg streams on an individual packet/page level.
-
 
 Package: pypy-mutagen
 Architecture: all
@@ -56,7 +55,6 @@
  .
  This package is built for PyPy.
 
-
 Package: python3-mutagen
 Architecture: all
 Depends: ${misc:Depends}, ${python3:Depends}
@@ -71,7 +69,6 @@
  Ogg streams on an individual packet/page level.
  .
  This package is built for Python 3.
-
 
 Package: python-mutagen-doc
 Architecture: all

=== debian/watch ===
version=3
opts="pgpsigurlmangle=s/$/.sig/,\
      downloadurlmangle=s{/[^/]*/lazka/mutagen/downloads/mutagen-}{/mutagen-}" \
 https://bitbucket.org/lazka/mutagen/downloads/ \
 .*/mutagen-([0-9.]+).tar.gz

## mutagen 1.36

=== debian/changelog ===
mutagen (1.36-1) unstable; urgency=medium

  * New upstream release.

 -- Tristan Seligmann <mithrandi@debian.org>  Mon, 26 Dec 2016 14:18:19 +0200

mutagen (1.35.1-1) unstable; urgency=medium

  * New upstream release.
    - Build-depend on python-pytest.

 -- Tristan Seligmann <mithrandi@debian.org>  Fri, 16 Dec 2016 11:14:30 +0200

mutagen (1.34.1-1) unstable; urgency=medium

  * New upstream release.
  * Fix debian/watch again.

 -- Tristan Seligmann <mithrandi@debian.org>  Mon, 29 Aug 2016 01:04:22 +0200

=== debian/control ===
--- 
+++ 
@@ -2,25 +2,26 @@
 Section: python
 Priority: optional
 Maintainer: Tristan Seligmann <mithrandi@debian.org>
-Uploaders:
- Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>,
- Simon Chopin <chopin.simon@gmail.com>,
-Build-Depends:
- debhelper (>= 9),
- dh-python,
- faad,
- flac,
- libc-bin (>= 2.13),
- oggz-tools,
- pypy,
- python-all (>= 2.6.6-3~),
- python-docutils,
- python-sphinx (>= 1.0.7+dfsg),
- python-sphinx-rtd-theme,
- python2.7-doc,
- python3-all,
- python3.5-doc,
- vorbis-tools,
+Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>,
+           Simon Chopin <chopin.simon@gmail.com>
+Build-Depends: debhelper (>= 9),
+               dh-python,
+               faad,
+               flac,
+               libc-bin (>= 2.13),
+               oggz-tools,
+               pypy,
+               pypy-pytest,
+               python-all (>= 2.6.6-3~),
+               python-docutils,
+               python-pytest,
+               python-sphinx (>= 1.0.7+dfsg),
+               python-sphinx-rtd-theme,
+               python2.7-doc,
+               python3-all,
+               python3-pytest,
+               python3.5-doc,
+               vorbis-tools
 Standards-Version: 3.9.8
 X-Python-Version: >= 2.6
 Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/mutagen.git

=== debian/watch ===
version=3
opts="pgpsigurlmangle=s/$/.sig/" \
 https://bitbucket.org/lazka/mutagen/downloads/ \
 mutagen-([0-9.]+).tar.gz

## mutagen 1.38

=== docs/Makefile ===
all:
	sphinx-build -b html -n . _build

clean:
	rm -rf _build

.PHONY: clean

=== debian/changelog ===
mutagen (1.38-1) unstable; urgency=medium

  * Update watch file.
  * New upstream release.
  * Use Python 3.6 docs instead of 3.5 (closes: #871426).
  * Run wrap-and-sort -t -s.
  * Bump Standards-Version to 4.0.0 (no changes).

 -- Tristan Seligmann <mithrandi@debian.org>  Tue, 08 Aug 2017 03:53:42 +0200

=== debian/control ===
--- 
+++ 
@@ -2,27 +2,29 @@
 Section: python
 Priority: optional
 Maintainer: Tristan Seligmann <mithrandi@debian.org>
-Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>,
-           Simon Chopin <chopin.simon@gmail.com>
-Build-Depends: debhelper (>= 9),
-               dh-python,
-               faad,
-               flac,
-               libc-bin (>= 2.13),
-               oggz-tools,
-               pypy,
-               pypy-pytest,
-               python-all (>= 2.6.6-3~),
-               python-docutils,
-               python-pytest,
-               python-sphinx (>= 1.0.7+dfsg),
-               python-sphinx-rtd-theme,
-               python2.7-doc,
-               python3-all,
-               python3-pytest,
-               python3.5-doc,
-               vorbis-tools
-Standards-Version: 3.9.8
+Uploaders:
+ Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>,
+ Simon Chopin <chopin.simon@gmail.com>,
+Build-Depends:
+ debhelper (>= 9),
+ dh-python,
+ faad,
+ flac,
+ libc-bin (>= 2.13),
+ oggz-tools,
+ pypy,
+ pypy-pytest,
+ python-all (>= 2.6.6-3~),
+ python-docutils,
+ python-pytest,
+ python-sphinx (>= 1.0.7+dfsg),
+ python-sphinx-rtd-theme,
+ python2.7-doc,
+ python3-all,
+ python3-pytest,
+ python3.6-doc,
+ vorbis-tools,
+Standards-Version: 4.0.0
 X-Python-Version: >= 2.6
 Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/mutagen.git
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/mutagen.git

=== debian/rules ===
--- 
+++ 
@@ -11,16 +11,23 @@
 export LC_ALL=C.UTF-8
 
 
+ifeq ($(filter nodoc,$(DEB_BUILD_PROFILES)),)
+SPHINXDOC=,sphinxdoc
+else
+SPHINXDOC=
+endif
 %:
-	dh $@ --with python2,python3,pypy,sphinxdoc --buildsystem=pybuild
+	dh $@ --with python2,python3,pypy$(SPHINXDOC) --buildsystem=pybuild
 
-
+ifeq ($(filter nodoc,$(DEB_BUILD_PROFILES)),)
 override_dh_auto_build:
 	dh_auto_build
-	PYTHONPATH=$(CURDIR) docs/id3_frames_gen.py > docs/api/id3_frames.rst
-	$(MAKE) -C docs
-	mv docs/_build docs/html
+	PYTHONPATH=. \
+	   http_proxy='127.0.0.1:9' \
+	   https_proxy='127.0.0.1:9' \
+	   sphinx-build -N -b html docs/ $(CURDIR)/.pybuild/docs/html/
 	$(MAKE) -C docs/man
+endif
 
 
 override_dh_auto_install:
@@ -38,7 +45,7 @@
 
 override_dh_clean:
 	dh_clean
-	rm -rf docs/html docs/man/_man
+	rm -rf docs/man/_man
 
 
 override_dh_auto_test:

## mutagen 1.40.0

=== debian/changelog ===
mutagen (1.40.0-2) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * Convert git repository from git-dpm to gbp layout

  [ Mattia Rizzolo ]
  * Switch to python3.7-doc.

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 19 Dec 2018 02:48:06 +0100

mutagen (1.40.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * d/control: Remove ancient X-Python-Version field

  [ Tristan Seligmann ]
  * New upstream release (closes: #900128).
  * Switch to Python 3 for Sphinx.
  * Override lintian warning about helper binaries.
  * Bump Standards-Version to 4.1.4 (no changes).
  * Drop Simon Chopin from Uploaders; thanks for the past work on mutagen!
    (closes: #889764)
  * Bump debhelper compat level to 11.

 -- Tristan Seligmann <mithrandi@debian.org>  Sun, 10 Jun 2018 18:17:44 +0200

=== debian/control ===
--- 
+++ 
@@ -4,30 +4,35 @@
 Maintainer: Tristan Seligmann <mithrandi@debian.org>
 Uploaders:
  Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>,
- Simon Chopin <chopin.simon@gmail.com>,
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 11),
  dh-python,
  faad,
  flac,
  libc-bin (>= 2.13),
  oggz-tools,
  pypy,
+ pypy-hypothesis,
  pypy-pytest,
  python-all (>= 2.6.6-3~),
  python-docutils,
+ python-hypothesis,
+ python-pycodestyle,
+ python-pyflakes,
  python-pytest,
- python-sphinx (>= 1.0.7+dfsg),
- python-sphinx-rtd-theme,
  python2.7-doc,
  python3-all,
+ python3-hypothesis,
+ python3-pycodestyle,
+ python3-pyflakes,
  python3-pytest,
- python3.6-doc,
+ python3-sphinx (>= 1.0.7+dfsg),
+ python3-sphinx-rtd-theme,
+ python3.7-doc,
  vorbis-tools,
-Standards-Version: 4.0.0
-X-Python-Version: >= 2.6
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/mutagen.git
-Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/mutagen.git
+Standards-Version: 4.1.4
+Vcs-Git: https://salsa.debian.org/python-team/modules/mutagen.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/mutagen
 Homepage: https://github.com/quodlibet/mutagen
 
 Package: python-mutagen

=== debian/rules ===
--- 
+++ 
@@ -25,16 +25,18 @@
 	PYTHONPATH=. \
 	   http_proxy='127.0.0.1:9' \
 	   https_proxy='127.0.0.1:9' \
-	   sphinx-build -N -b html docs/ $(CURDIR)/.pybuild/docs/html/
+	   python3 -m sphinx -N -b html docs/ $(CURDIR)/.pybuild/docs/html/
 	$(MAKE) -C docs/man
 endif
 
 
 override_dh_auto_install:
 	dh_auto_install
-	# Don't ship binaries or manpages in the pypy or python3 packages
+# Don't ship binaries or manpages in the pypy or python3 packages
 	rm -rf debian/pypy-mutagen/usr/bin \
 	       debian/pypy-mutagen/usr/lib/pypy/share \
+	       debian/pypy-mutagen/usr/share \
+	       debian/python-mutagen/usr/share/man \
 	       debian/python3-mutagen/usr/bin \
 	       debian/python3-mutagen/usr/share
 
@@ -50,4 +52,4 @@
 
 override_dh_auto_test:
 	PYBUILD_SYSTEM=custom \
-	PYBUILD_TEST_ARGS="{interpreter} setup.py test" dh_auto_test
+	PYBUILD_TEST_ARGS="{interpreter} setup.py test --no-quality" dh_auto_test

## mutagen 1.43.0

=== debian/changelog ===
mutagen (1.43.0-0ubuntu3) focal; urgency=medium

  * Build-depend on python3-doc instead of python3.7-doc.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 21 Feb 2020 20:25:02 +0100

mutagen (1.43.0-0ubuntu2) focal; urgency=medium

  * Build-depend on setuptools.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 14 Jan 2020 17:46:47 +0100

mutagen (1.43.0-0ubuntu1) focal; urgency=medium

  * New upstream version.
  * Disable tests for pypy.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 14 Jan 2020 16:57:49 +0100

mutagen (1.40.0-2build1) focal; urgency=medium

  * No-change rebuild to generate dependencies on python2.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 17 Dec 2019 12:37:41 +0000

=== debian/control ===
--- 
+++ 
@@ -14,21 +14,24 @@
  pypy,
  pypy-hypothesis,
  pypy-pytest,
+ pypy-setuptools,
  python-all (>= 2.6.6-3~),
  python-docutils,
  python-hypothesis,
  python-pycodestyle,
  python-pyflakes,
  python-pytest,
+ python-setuptools,
  python2.7-doc,
  python3-all,
  python3-hypothesis,
  python3-pycodestyle,
  python3-pyflakes,
  python3-pytest,
+ python3-setuptools,
  python3-sphinx (>= 1.0.7+dfsg),
  python3-sphinx-rtd-theme,
- python3.7-doc,
+ python3-doc,
  vorbis-tools,
 Standards-Version: 4.1.4
 Vcs-Git: https://salsa.debian.org/python-team/modules/mutagen.git

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,8 @@
 #!/usr/bin/make -f
 
 export PYBUILD_NAME=mutagen
+
+export PYBUILD_DISABLE_pypy=test
 
 # This is generally a good idea to avoid littering the filesystem with unneeded
 # pyc files, but it is also specifically needed to avoid byte-compilation of

## mutagen 1.44.0

=== debian/changelog ===
mutagen (1.44.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Sandro Tosi ]
  * New upstream release; Closes: #952213
    - drop python2 and PyPy support; Closes: #937094
  * debian/copyright
    - update copyright information
  * debian/patches/use-system-inventory
    - update patch to new upstream code
  * debian/control
    - add setuptools to b-d, needed by new code
    - just b-d on python3-doc, needed for intersphinx objects; Closes: #951846
  * debian/python-mutagen-doc.doc-base
    - register doc-base against the python-mutagen-doc content

 -- Sandro Tosi <morph@debian.org>  Sun, 15 Mar 2020 18:34:54 -0400

=== debian/control ===
Source: mutagen
Section: python
Priority: optional
Maintainer: Tristan Seligmann <mithrandi@debian.org>
Uploaders:
 Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 faad,
 flac,
 libc-bin (>= 2.13),
 oggz-tools,
 python3-docutils,
 python3-all,
 python3-hypothesis,
 python3-pycodestyle,
 python3-pyflakes,
 python3-pytest,
 python3-setuptools,
 python3-sphinx (>= 1.0.7+dfsg),
 python3-sphinx-rtd-theme,
 python3-doc,
 vorbis-tools,
Standards-Version: 4.1.4
Vcs-Git: https://salsa.debian.org/python-team/modules/mutagen.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/mutagen
Homepage: https://github.com/quodlibet/mutagen

Package: python3-mutagen
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Suggests: python-mutagen-doc
Breaks: python-mutagen (<< 1.44.0-1)
Replaces: python-mutagen (<< 1.44.0-1)
Description: audio metadata editing library (Python 3)
 Mutagen is a Python module to handle audio metadata. It supports FLAC,
 M4A, MP3, Ogg FLAC, Ogg Speex, Ogg Theora, Ogg Vorbis, True Audio, and
 WavPack audio files. All versions of ID3v2 are supported, and all
 standard ID3v2.4 frames are parsed. It can read Xing headers to
 accurately calculate the bitrate and length of MP3s. ID3 and APEv2
 tags can be edited regardless of audio format. It can also manipulate
 Ogg streams on an individual packet/page level.
 .
 This package is built for Python 3.

Package: python-mutagen-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Recommends: python3-mutagen
Description: audio metadata editing library - documentation
 Mutagen is a Python module to handle audio metadata. It supports FLAC,
 M4A, MP3, Ogg FLAC, Ogg Speex, Ogg Theora, Ogg Vorbis, True Audio, and
 WavPack audio files. All versions of ID3v2 are supported, and all
 standard ID3v2.4 frames are parsed. It can read Xing headers to
 accurately calculate the bitrate and length of MP3s. ID3 and APEv2
 tags can be edited regardless of audio format. It can also manipulate
 Ogg streams on an individual packet/page level.
 .
 This package provides documentation for the mutagen package.

=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,6 @@
 #!/usr/bin/make -f
 
 export PYBUILD_NAME=mutagen
-
-export PYBUILD_DISABLE_pypy=test
 
 # This is generally a good idea to avoid littering the filesystem with unneeded
 # pyc files, but it is also specifically needed to avoid byte-compilation of
@@ -19,7 +17,7 @@
 SPHINXDOC=
 endif
 %:
-	dh $@ --with python2,python3,pypy$(SPHINXDOC) --buildsystem=pybuild
+	dh $@ --with python3$(SPHINXDOC) --buildsystem=pybuild
 
 ifeq ($(filter nodoc,$(DEB_BUILD_PROFILES)),)
 override_dh_auto_build:
@@ -34,14 +32,6 @@
 
 override_dh_auto_install:
 	dh_auto_install
-# Don't ship binaries or manpages in the pypy or python3 packages
-	rm -rf debian/pypy-mutagen/usr/bin \
-	       debian/pypy-mutagen/usr/lib/pypy/share \
-	       debian/pypy-mutagen/usr/share \
-	       debian/python-mutagen/usr/share/man \
-	       debian/python3-mutagen/usr/bin \
-	       debian/python3-mutagen/usr/share
-
 
 override_dh_installchangelogs:
 	dh_installchangelogs NEWS

## mutagen 1.45.0

=== debian/changelog ===
mutagen (1.45.0-1) unstable; urgency=low

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 12.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Tristan Seligmann ]
  * New upstream release.
  * Declare rootless build.
  * Bump debhelper-compat to 13.
  * Bump Standards-Version to 4.5.0 (no changes).
  * Override Lintian warnings about binaries.
  * Add autopkgtests.
  * Simplify rules.

 -- Tristan Seligmann <mithrandi@debian.org>  Wed, 22 Jul 2020 18:42:13 +0200

=== debian/control ===
--- 
+++ 
@@ -5,27 +5,29 @@
 Uploaders:
  Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>,
 Build-Depends:
- debhelper-compat (= 11),
- dh-python,
- faad,
- flac,
+ debhelper-compat (= 13),
+ dh-sequence-python3,
+ dh-sequence-sphinxdoc <!nodoc>,
+ faad <!nocheck>,
+ flac <!nocheck>,
  libc-bin (>= 2.13),
- oggz-tools,
+ oggz-tools <!nocheck>,
+ python3-all,
+ python3-doc <!nodoc>,
  python3-docutils,
- python3-all,
- python3-hypothesis,
- python3-pycodestyle,
- python3-pyflakes,
- python3-pytest,
+ python3-hypothesis <!nocheck>,
+ python3-pycodestyle <!nocheck>,
+ python3-pyflakes <!nocheck>,
+ python3-pytest <!nocheck>,
  python3-setuptools,
- python3-sphinx (>= 1.0.7+dfsg),
- python3-sphinx-rtd-theme,
- python3-doc,
- vorbis-tools,
-Standards-Version: 4.1.4
+ python3-sphinx (>= 1.0.7+dfsg) <!nodoc>,
+ python3-sphinx-rtd-theme <!nodoc>,
+ vorbis-tools <!nocheck>,
+Standards-Version: 4.5.0
 Vcs-Git: https://salsa.debian.org/python-team/modules/mutagen.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/mutagen
 Homepage: https://github.com/quodlibet/mutagen
+Rules-Requires-Root: no
 
 Package: python3-mutagen
 Architecture: all
@@ -49,6 +51,8 @@
 Section: doc
 Depends: ${misc:Depends}, ${sphinxdoc:Depends}
 Recommends: python3-mutagen
+Built-Using: ${sphinxdoc:Built-Using}
+Build-Profiles: <!nodoc>
 Description: audio metadata editing library - documentation
  Mutagen is a Python module to handle audio metadata. It supports FLAC,
  M4A, MP3, Ogg FLAC, Ogg Speex, Ogg Theora, Ogg Vorbis, True Audio, and

=== debian/tests/control ===
Test-Command: set -e ; for py in $(py3versions -r 2>/dev/null) ; do echo "Testing with $py:" ; $py -m pytest -m "not quality" ; done
Depends: python3-mutagen, python3-pytest, python3-hypothesis
